Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		netsniff-ng
#Epoch:		0
Version:	0.5.4.2
Release:	1
License:	GNU/GPLv2
URL:		http://code.google.com/p/netsniff-ng/
Group:		Networking/Other
Summary:	high performance linux network sniffer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
netsniff-ng is a high performance linux network sniffer for packet inspection. Basically, it is similar to analyzers like tcpdump, but it doesn't need syscalls for fetching packets. Instead, it uses an memory mapped area within kernelspace for accessing packets without the need of copying them to userspace ('zero-copy' mechanism). Therefore, netsniff-ng is libpcap independent.

netsniff-ng can be used for protocol analysis and reverse engineering, network debugging, measurement of performance throughput or network statistics creation of incoming packets. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}_%{version}

%build
pushd src
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd src
make install DESTDIR=$RPM_BUILD_ROOT
popd
# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/netsniff-ng/rules
%{_sbindir}/netsniff-ng
%{_mandir}/man8/netsniff-ng.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.5.4.2-1
- initial CCux package release
